List API keys
GET
/v1/keys
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.disasm.dev/v1/keys"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.disasm.dev/v1/keys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.disasm.dev/v1/keys';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.disasm.dev/v1/keys \ --header 'Authorization: Bearer <token>'List all your API keys with their current status, balance, and usage stats.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Your API keys.
Media typeapplication/json
object
keys
Array<object>
object
id
string
service_id
integer
service_name
string
key_hint
Masked key, for identification only.
string
label
string
status
Key state, e.g. active, revoked.
string
request_balance
Subscription requests remaining on this key.
integer
requests_used
Total requests made with this key.
integer
payg_overflow
Whether requests beyond the subscription balance draw from the PAYG wallet.
boolean
last_used_at
string format: date-time
created_at
string format: date-time
Example
{ "keys": [ { "id": "key-uuid-1", "service_id": 1, "service_name": "Incapsula", "key_hint": "dk_live_****abcd", "label": "Production", "status": "active", "request_balance": 5000, "requests_used": 12400, "payg_overflow": true, "last_used_at": "2026-04-14T12:30:00Z", "created_at": "2026-01-15T09:00:00Z" } ]}Headers
Section titled “Headers”X-RateLimit-Limit
integer
Example
60Maximum requests per minute (60).
X-RateLimit-Remaining
integer
Example
59Requests remaining in the current window.
X-RateLimit-Reset
integer
Example
1718000000Unix timestamp when the rate limit resets.
Missing or invalid API key.
Media typeapplication/json
object
error
A human-readable message describing what went wrong.
string
Example
{ "error": "Missing or invalid API key"}Rate limit exceeded. See the X-RateLimit-* response headers.
Media typeapplication/json
object
error
A human-readable message describing what went wrong.
string
Example
{ "error": "Rate limit exceeded"}Headers
Section titled “Headers”X-RateLimit-Limit
integer
Example
60Maximum requests per minute (60).
X-RateLimit-Remaining
integer
Example
59Requests remaining in the current window.
X-RateLimit-Reset
integer
Example
1718000000Unix timestamp when the rate limit resets.